Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592979 - system global bash.bash_logout is diabled in config-top.h
Summary: system global bash.bash_logout is diabled in config-top.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Roman Rakus
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 677439
TreeView+ depends on / blocked
 
Reported: 2010-05-17 14:28 UTC by Karl Grindley
Modified: 2014-01-13 00:11 UTC (History)
4 users (show)

Fixed In Version: bash-3.2-30.el5
Doc Type: Enhancement
Doc Text:
The systemwide bash.bash_logout was disabled globally by default. This is now fixed in the config-top.h file to enable .bash_logout as a systemwide default.
Clone Of:
: 677439 (view as bug list)
Environment:
Last Closed: 2011-07-21 10:39:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
enable system wide /etc bash_logout script (deleted)
2010-05-17 14:28 UTC, Karl Grindley
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1073 normal SHIPPED_LIVE Low: bash security, bug fix, and enhancement update 2011-07-21 10:37:04 UTC

Description Karl Grindley 2010-05-17 14:28:45 UTC
Created attachment 414563 [details]
enable system wide /etc bash_logout script

Description of problem:

bash.bash_logout is disabled by default.  this used to be enabled in the past? (was used, but now broken)

Version-Release number of selected component (if applicable):
3.2-24

How reproducible:
always

Steps to Reproduce:
1. create /etc/bash.bash_logout to write something to /tmp
2. run bash -l
3. exit
4. check /tmp, nothing

Actual results:
/etc/bash.bash_logout is not run

Expected results:
run /etc/bash.bash_logout

Additional info:
simply need to enable the default in config-top.h.  see attached diff file.

Comment 1 Roman Rakus 2010-07-22 12:58:31 UTC
According to bash man page:
When  a  login  shell  exits, bash reads and executes commands from the file ~/.bash_logout, if it exists.

This ~/.bash_logout is generated from /etc/skel/.bash_logout for every new user.

Can you please point me to version of bash when the /etc/bash.bash_logout was used?

Comment 2 Karl Grindley 2010-07-27 19:35:26 UTC
 This variable was introduced with bash 2.0-beta2, and i swear it used to be enabled by default on some release of RHEL bash.

Any version with SYS_BASH_LOGOUT enabled will run a system wide logout script that is not customizable/changeable by unprivileged users.  While user .bash_logouts are dandy, a system wide logout script is needed in some enterprise environments.

Comment 3 Roman Rakus 2010-12-16 14:47:41 UTC
All I see is that it wasn't enabled. Tried RHEL2,3,4,5. I think, it was never used.

Comment 5 Karl Grindley 2010-12-16 17:23:14 UTC
i stand corrected.  This should be moved to feature request then.  such a feature is very useful in an enterprise deployment with many bash shell users.

Comment 7 Roman Rakus 2011-02-14 19:54:24 UTC
Fixed in bash-3.2-26.el5

Comment 11 Roman Rakus 2011-04-18 13:45:00 UTC
Updated in bash-3.2-30.el5

Comment 13 Misha H. Ali 2011-04-20 09:29:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The systemwide bash.bash_logout was disabled globally by default. This is now fixed in the config-top.h file to enable .bash_logout as a systemwide default.

Comment 14 Misha H. Ali 2011-04-20 09:30:10 UTC
What was the consequence of this being disabled/enabled by default? Need information for errata text. Thanks.

Comment 15 Roman Rakus 2011-05-05 12:53:32 UTC
This is future feature. It means, it wasn't implemented.

Comment 16 errata-xmlrpc 2011-07-21 10:39:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1073.html


Note You need to log in before you can comment on or make changes to this bug.